	.386
	.model	use32 small

	public	_sin
	extrn	trigerr : proc
	.data
nm	db	"sin",0

	.code
_sin:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	qword ptr [ecx]
	fsin
	lea	eax,[nm]
	call	trigerr
	leave
	ret
	end